org.apache.flume.channel.file

## Class LogFile.OperationRecordUpdater

- java.lang.Object
- - org.apache.flume.channel.file.LogFile.OperationRecordUpdater

- Enclosing class:
    LogFile

      public static class LogFile.OperationRecordUpdater
      extends Object

  This is an class meant to be an internal Flume API, and can change at any time. Intended to be used only from File Channel Integrity test tool. Not to be used for any other purpose.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogFile.OperationRecordUpdater(File file)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `markRecordAsNoop(long offset)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogFile.OperationRecordUpdater

          public LogFile.OperationRecordUpdater(File file)
                                         throws FileNotFoundException

      Throws:
        `FileNotFoundException`

  - ### Method Detail

    - #### markRecordAsNoop

          public void markRecordAsNoop(long offset)
                                throws IOException

      Throws:
        `IOException`

    - #### close

          public void close()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.